Bug 1004172 - in.authd runs as init_t when auth.socket is active
in.authd runs as init_t when auth.socket is active
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
Depends On:
Blocks: 1004161
  Show dependency treegraph
Reported: 2013-09-04 02:57 EDT by Milos Malik
Modified: 2014-06-17 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-76.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 05:53:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2013-09-04 02:57:29 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
# systemctl enable auth.socket
ln -s '/usr/lib/systemd/system/auth.socket' '/etc/systemd/system/sockets.target.wants/auth.socket'
# systemctl start auth.socket
# systemctl status auth.socket
auth.socket - Authd Activation Socket
   Loaded: loaded (/usr/lib/systemd/system/auth.socket; enabled)
   Active: active (listening) since Wed 2013-09-04 08:52:35 CEST; 5s ago
   Listen: [::]:113 (Stream)
 Accepted: 0; Connected: 0

Sep 04 08:52:35 rhel70 systemd[1]: Listening on Authd Activation Socket.
# nc -v 113
Ncat: Version 6.40 ( http://nmap.org/ncat )
Ncat: Connected to
[1]+  Stopped                 nc -v 113
# ps -efZ | grep authd
system_u:system_r:init_t:s0     ident    24220     1  0 08:53 ?        00:00:00 /usr/sbin/in.authd -t60 --xerror --os -E
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 24222 24126  0 08:53 pts/0 00:00:00 grep --color=auto authd
# fg
nc -v 113

Actual results:
 * in.authd process is not labelled correctly

Expected results:
 * in.authd process is labelled correctly
Comment 2 Ludek Smid 2014-06-13 05:53:07 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.